function buttonselectlvRAY(hObject, eventdata, parentfig, Empty_Button, Buttons, AxesAFS, AxesSOL, SegPlot, rotoff, IPonoff, FPonoff, lvText, lvSlider, lcs, usmn, usmf)
bn = get(usmn,'Value');
bf = get(usmf,'Value');

data = get(Empty_Button,'UserData');

if data.isafs == 0
    set(usmn,'Value',0);
    set(usmf,'Value',1);
end

axes(AxesAFS);
if (get(usmn,'Value') == 1) && (data.islv == 0)
    Mouse3D_modifiedRAY(0,hObject, eventdata, parentfig, Empty_Button, Buttons, AxesAFS, AxesSOL, SegPlot, rotoff, IPonoff, FPonoff, lvText, lvSlider, usmn, usmf, lcs);
    data.islv = 1;
elseif (get(usmf,'Value') == 1) && (data.islv == 1)
    Mouse3D_modifiedRAY(5,hObject, eventdata, parentfig, Empty_Button, Buttons, AxesAFS, AxesSOL, SegPlot, rotoff, IPonoff, FPonoff, lvText, lvSlider, usmn, usmf, lcs);
    data.islv = 0;
end

set(Empty_Button,'UserData',data);

% plot(AxesSOL,1,0,'w');
